# Please see https://docs.sonarqube.org/display/SONAR/Analysis+Parameters

sonar.host.url=http://${SONARQUBE_URL}
# must be unique in a given SonarQube instance
sonar.projectKey=${PROJECT_NAME}
# this is the name and version displayed in the SonarQube UI. Was mandatory prior to SonarQube 6.1.
sonar.projectName=${PROJECT_NAME}

# Comma-separated paths to directories with sources (required)
sonar.sources=src/
# sonar.tests=src/
# sonar.inclusions=src/**/*.js
# sonar.exclusions=src/**/*.unit.ts,src/*.ts,src/**/*.integration.ts
# sonar.test.inclusions=src/**/*.unit.ts

# Language
sonar.language=java

# sonar.typescript.file.suffixes=.ts

# Encoding of sources files
sonar.sourceEncoding=UTF-8

# coverage reporting
# sonar.typescript.lcov.reportPaths=coverage/lcov.info
# sonar.surefire.reportsPath=reports/junit

sonar.log.level=DEBUG

sonar.issuesReport.console.enable=true
